This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 451518 - Labels /etc and /usr as user_home_dir_t
Labels /etc and /usr as user_home_dir_t
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-15 05:21 EDT by Enrico Scholz
Modified: 2008-06-16 07:08 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 07:08:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2008-06-15 05:21:51 EDT
Description of problem:

Please provide a way to 

a) disable the user_home_dir_t magic completely (homedirs on my
   machines are either NFS mounted, or there are no homedirs at
   all), or

b) filter-out certain accounts; the current heuristic (/sbin/nologin
   shell or uid < 500) does not suffice.

I have several system-accounts which require a regular shell (e.g. because
they start jobs through ~/.ssh/authorized_keys). Currently, these accounts
are handled like normal users and filesystem is completely mislabeled
(e.g. /etc and /usr/share are user_home_dir_t).


Version-Release number of selected component (if applicable):

policycoreutils-2.0.47-2.fc9.x86_64
Comment 1 Daniel Walsh 2008-06-16 07:08:44 EDT
Add 
disable-genhomedircon = true

to /etc/selinux/semanage.conf

Note You need to log in before you can comment on or make changes to this bug.